List Test Runs
Retrieves a paginated list of test runs for the authorized project. Results can be filtered and sorted by status, dates, conversational (multi-turn) or metrics. Pagination is controlled with page and pageSize. Filtering and sorting options include status, multiTurn, sortField, and ascending.
Headers
CONFIDENT_API_KEY
The API key of your Confident AI project.
Query parameters
page
Page number (must be a positive integer, default is 1).
pageSize
Number of items per page (max 100, default is 25).
status
Filter test runs by status.
Allowed values:
multiTurn
Filter for conversational (multi-turn) test runs only (“true” or “false”).
Allowed values:
sortBy
Field to sort results by (“createdAt” or “runDuration”).
Allowed values:
ascending
This determines if the field specified in sortBy should be in ascending order. Defaults to false.
Allowed values:
start
ISO 8601 start datetime filter (e.g. “2025-12-31T23:59:59Z”).
end
ISO 8601 end datetime filter (e.g. “2025-12-31T23:59:59Z”).
Response
A paginated list of test runs and total count.
success
data